use ExtUtils::MakeMaker;
use Config;
use English;

@extras = ();

push(@extras,
     CAPI => 'TRUE')
    if ($PERL_VERSION >= 5.005 and $OSNAME eq 'MSWin32'
	and $Config{archname} =~ /-object\b/i);

push(@extras,
     ABSTRACT => "DBStreamHandle.pm",
     AUTHOR   => 'Eric Prud\'hommeaux (eric@w3.org)')
    if ($ExtUtils::MakeMaker::Version >= 5.4301);

@programs_to_install = qw( bin/ddb );

WriteMakefile(
              NAME         => 'W3C::Database::DBStreamHandle',
              VERSION_FROM => 'DBStreamHandle.pm',
              PREREQ_PM    => { W3C::Util::Basekit => '0.91' },
              dist      => {COMPRESS => 'gzip', SUFFIX => '.gz'},
	      EXE_FILES    => [ @programs_to_install ],
	      @extras
             );

